#TODO: Do a switch for cvs use 

%if %mdkversion >= 200910
%define with_klash 1
%else
%define with_klash 0
%endif
%{?_with_klash: %{expand: %%global with_klash 1}}

%define libname %mklibname %{name} 0
%define libname_dev %mklibname -d %{name} 
%define libname_orig lib%{name}

Name: gnash
Version: 0.8.5
Release: %mkrel 1
Summary: Gnash - a GNU Flash movie player
License: GPLv3
Group: Networking/WWW
Source0: %name-%version.tar.bz2
Patch0: gnash-0.8.5-ignore-moc-output-version.patch
Patch1:	gnash-0.8.3-manual.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.gnu.org/software/gnash/
#BuildRequires:	mesaglut-devel
BuildRequires:  gstreamer0.10-devel
BuildRequires:  SDL_mixer-devel
%if %{with_klash}
BuildRequires:  kdelibs4-devel
%endif
#BuildRequires:  gtkglext-devel
BuildRequires:  boost-devel
BuildRequires:  curl-devel
BuildRequires:  docbook2x
BuildRequires:	docbook-dtd412-xml
BuildRequires:  texinfo
BuildRequires:  doxygen
BuildRequires:  rarian
BuildRequires:  slang-devel
BuildRequires:  libxslt-proc
BuildRequires:  agg-devel
BuildRequires:  mysql-devel
BuildRequires:  libltdl-devel
Buildrequires:	gtk2-devel
Buildrequires:	dejagnu
# (nl) : needed for the test-suite
BuildRequires:  ming-devel
BuildRequires:  ming-utils
BuildRequires:	speex-devel
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-plugins-bad

%description
Gnash is capable of reading up to SWF v9 files and opcodes, but primarily
supports SWF v7, with better SWF v8 and v9 support under heavy development.
With the 0.8.2 release, Gnash includes initial parser support for SWF v8
and v9. Not all ActionScript 2 classes are implemented yet, but all of
the most heavily used ones are. Many ActionScript 2 classes are partially
implemented; there is support for all of the commonly used methods of each
class.

%post -n %{name}
%_install_info %{name}.info

%preun -n %{name}
%_remove_install_info %{name}.info

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/gnash
%{_bindir}/cygnal
%{_bindir}/gprocessor
%{_bindir}/fb-gnash
%{_bindir}/gtk-gnash
%{_bindir}/sdl-gnash
%{_bindir}/soldumper
%{_bindir}/dumpshm
%{_bindir}/flvdumper
%{_mandir}/man?/*
%_sysconfdir/gnashrc
%{_datadir}/gnash
%{_libdir}/gnash/plugins
%_sysconfdir/gnashpluginrc

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Gnash library
Group:	        Networking/WWW	
Provides:	%{libname_orig} = %{version}

%description -n %{libname}
Gnash library.

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/gnash
%{_libdir}/gnash/libgnashbase-%{version}.so
%{_libdir}/gnash/libgnashcore-%{version}.so
%{_libdir}/gnash/libgnashamf-%{version}.so
%{_libdir}/gnash/libgnashmedia-%{version}.so
%{_libdir}/gnash/libgnashnet.so.0*
%{_libdir}/gnash/libgnashsound-%{version}.so
%{_libdir}/gnash/libmozsdk.la
%{_libdir}/gnash/libmozsdk.so.0*

#--------------------------------------------------------------------

%package -n	%{libname_dev}
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes: %{libname}-devel

%description -n %{libname_dev}
Headers of %{name} for development.

%files -n %{libname_dev}
%defattr(-,root,root)
%{_libdir}/gnash/libgnash*.la
%{_libdir}/gnash/libgnashamf.so
%{_libdir}/gnash/libgnashbase.so
%{_libdir}/gnash/libgnashcore.so
%{_libdir}/gnash/libgnashmedia.so
%{_libdir}/gnash/libgnashnet.so
%{_libdir}/gnash/libgnashsound.so
%{_libdir}/gnash/libmozsdk.so

#--------------------------------------------------------------------

%package -n %{name}-firefox-plugin
Summary:	Gnash firefox plugin
Group:		Networking/WWW
Requires:	gnash = %{version}
Requires:   firefox > 1.5	

%description -n %{name}-firefox-plugin
Gnash firefox plugin

%files -n %{name}-firefox-plugin
%{_libdir}/mozilla/plugins/*.so

#--------------------------------------------------------------------

%if %{with_klash}
%package -n	%{name}-konqueror-plugin
Summary:	Gnash konqueror plugin
Group:		Graphical desktop/KDE
Requires:	gnash = %{version}
%description -n %{name}-konqueror-plugin
Gnash Konqueror plugin

%files -n %{name}-konqueror-plugin
%{_kde_bindir}/kde4-gnash
%{_kde_libdir}/kde4/libklashpart.la
%{_kde_libdir}/kde4/libklashpart.so
%{_kde_datadir}/kde4/services/klash_part.desktop
%{_kde_datadir}/apps/klash/
%endif

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%patch0 -p1 -b .ignore~
%patch1 -p1 -b .manual~

%build
QTDIR="%qt3dir" ; export QTDIR ;
PATH="%qt3dir/bin:$PATH" ; export PATH ;

sh autogen.sh
%define __libtoolize /bin/true
%define _disable_ld_no_undefined 1

%configure --disable-static --with-npapi-plugindir=%{_libdir}/mozilla/plugins \
  --enable-extensions=ALL \
  --enable-docbook \
  --enable-ghelp \
  --disable-rpath \
  --enable-extensions=ALL \
  --enable-jpeg \
%if %{with_klash}
  --enable-gui=gtk,kde4,sdl,fb \
  --with-qt4=%{_kde_prefix} \
  --with-kde4=%{_kde_prefix} \
%else
  --disable-kparts \
  --enable-gui=gtk,sdl,fb \
%endif
  --enable-media=GST \
  --disable-dependency-tracking \
  --disable-rpath \
  --enable-cygnal

%make



%install
rm -rf $RPM_BUILD_ROOT
make install install-plugins \
 DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' \
 KDE4_PLUGINDIR=%{_kde_libdir}/kde4 \
 KDE4_SERVICESDIR=%{_kde_datadir}/kde4/services \
 KDE4_CONFIGDIR=%{_kde_configdir} \
 KDE4_APPSDATADIR=%{_kde_appsdir}/klash

rm -rf %{buildroot}/%{_localstatedir}/lib/scrollkeeper
rm -f %{buildroot}/%{_libdir}/mozilla/plugins/*.a
rm -f %{buildroot}/%{_libdir}/mozilla/plugins/*.la

%find_lang %name

%clean
rm -rf %{buildroot}


%changelog
* Thu Mar 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.5-1mdv2009.1
+ Revision: 348966
- fix manual (P1, from fedora)
- ignore version the moc files has been generated with, and also add a missing
  one from gnash kde4 bzr branch (P0) so that we now can build kde4 plugin
- build with speex support
- add support for building kde4 klash plugin (not working yet though)
- grf, give up trying to --no-undefined stuff..
- new release: 0.8.5
- fix underlinking (P0)
- do parallel build
- make buildrequires on kdebase3-devel conditional

* Sat Dec 20 2008 Funda Wang <fundawang@mandriva.org> 0.8.4-3mdv2009.1
+ Revision: 316576
- rebuild for new boost

  + Oden Eriksson <oeriksson@mandriva.com>
    - use lowercase mysql-devel

* Mon Nov 10 2008 Funda Wang <fundawang@mandriva.org> 0.8.4-2mdv2009.1
+ Revision: 301762
- rebuild for new xcb

* Tue Oct 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.4-1mdv2009.1
+ Revision: 297975
- Fix oversion
- New upstream version 0.8.4
  Fix firefox plugin requires

* Sun Aug 31 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.4-0.20080830.1mdv2009.0
+ Revision: 277695
- Add a switch for kparts(klash) build
  Do not build Kparts for now
  Fix file list
- Disable kparts for the moment
- Fix BuildRequires
- New Bzr snapshot
- Remove --with-qt-lib from %%configure
- Fix kde includes
- Update spec file to version 0.8.3
- Update to Gnash 0.8.3
- More fixes for kde plugin
- Fix kde-gnash move
- Fix install of kde plugin
- New snapshot
  Fix File list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Funda Wang <fundawang@mandriva.org>
    - use configure2_5x

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for mozilla-firefox-2.0.0.16

  + Anssi Hannula <anssi@mandriva.org>
    - own %%_libdir/gnash

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-4mdv2008.1
+ Revision: 190470
- Rebuild for new FF

* Mon Mar 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-3mdv2008.1
+ Revision: 189789
- Update description
- build SDL and fb gui

* Sun Mar 09 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.2-2mdv2008.1
+ Revision: 183138
- fix Buildrequires for branch and cooker
- Fix BuildRequires to allow backports

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed invalid devel name
    - Fixed typo on plugins install lead missing proper konqueror libraries and support

* Fri Mar 07 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 181153
- Fix files
- New version

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080224.2mdv2008.1
+ Revision: 174434
- drop useless requires

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080224.1mdv2008.1
+ Revision: 174361
- fix files
- fix requires
- BR docbook-dtd412-xml
- New cvs snapshot
- requires gstreamer

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 0.8.2-0.080207.2mdv2008.1
+ Revision: 164652
- rebuild for new FF

* Thu Feb 07 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080207.1mdv2008.1
+ Revision: 163799
- New snapshot

* Sat Jan 19 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.080119.1mdv2008.1
+ Revision: 155079
- New snapshot
- scrollkeeper is no more
- New snapshot

* Thu Dec 27 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.2-0.071227.0mdv2008.1
+ Revision: 138574
- New snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.2-0.071213.0mdv2008.1
+ Revision: 119675
- New snapshot
- new cvs snapshot

* Thu Nov 01 2007 Anssi Hannula <anssi@mandriva.org> 0.8.1-2mdv2008.1
+ Revision: 104726
- rebuild for libboost

* Thu Aug 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 75313
- Build Klash too
- Fix File list
-Fix build
- New version 0.8.1

* Thu Aug 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070802.1mdv2008.0
+ Revision: 58322
- New cvs snapshot

* Sat Jul 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070714.1mdv2008.0
+ Revision: 52082
- fix buildrequires
- New cvs snapshot
- set license to GPLv3

* Sun Jul 08 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070708.1mdv2008.0
+ Revision: 49883
- New cvs snapshot

* Mon Jul 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-0.070624.2mdv2008.0
+ Revision: 47249
- Fix File list ( close bug #31709)'

* Sun Jun 24 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-0.070624.1mdv2008.0
+ Revision: 43721
- needs gstreamer 0.10
- New cvs snapshot
- switch media to gstreamer, mad support is broken
- spec cleaning

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.8.0
    - New cvs snapshot

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.3-0.070508.3mdv2008.0
+ Revision: 36075
- Rebuild with libslang2.

* Sat May 26 2007 Funda Wang <fundawang@mandriva.org> 0.7.3-0.070508.2mdv2008.0
+ Revision: 31459
- Use simple file list at the time
- Use mad to handle media
- Rebuild for directfb 1.0

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New svn snapshot

* Wed May 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.3-0.070501.3mdv2008.0
+ Revision: 20438
- New cvs snapshot


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.3mdv2007.1
+ Revision: 148220
- rebuild for mozilla-firefox 2.0.0.3

* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-0.070318.2mdv2007.1
+ Revision: 146874
- don't package the whole sources as doc

* Sun Mar 18 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070318.1mdv2007.1
+ Revision: 146017
- New snapshot

* Wed Mar 07 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.4mdv2007.1
+ Revision: 134807
- bump release to fix submitting
- reintroduce devel package

* Mon Mar 05 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.2mdv2007.1
+ Revision: 133385
- readd missing file
- drop redundant buildrequires
- buildrequires gtk2-devel
- buildrequires dejagnu
- don't package source tree
- fix libraries packages
- drop devel package
- add warning fix patch from opensuse
- enable sound via SDL

* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.3-0.070304.1mdv2007.1
+ Revision: 132524
- buildrequires mysql-devel
- buildrequires libltdl-devel
- New cvs snapshot
- buildrequires kdebase-devel
- fix buildrequires
- New cvs snapshot
- disable konqueror plugin

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - reenable konqueror plugin

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot
    - New snapshot
    - New cvs snapshot
    - New cvs snapshot
    - Fix File list
    - Add BuildRequires for test suite

* Fri Dec 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-3mdv2007.1
+ Revision: 97943
- Fix lib file section (#27686)

* Sun Dec 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 94527
- Fix requires (i hope )  thanks  Gotz
- New version 0.7.2
- Remove useless BuildConflicts
- close ticket #22971

* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.2mdv2007.1
+ Revision: 92241
- buildconflicts docbook-utils
- Rebuild for mozilla-firefox 2.0

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.1mdv2007.1
+ Revision: 90268
- Add BuildRequires scrollkeeper libxslt-proc
- add buildrequires curl-devel texinfo doxygen
- buildrequires docbook-xml

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot for 0.7.2 branch

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 73125
- Add tarball
- New cvs snapshot
- Sync with gnash cvs
- Fix BuildRequires for new xorg
- increase release
- Make the wrning for svn back
- make the source back too
- come back on the svn gnash!!!
- Add a warning about its presence on svn repos
- Remove the changelog from the svn commit
- Created package structure for gnash.

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 13 2006 Couriousous <couriousous@mandriva.org> 0.7.1-1mdk
- 0.7.1
- Reenable firefox plugin
- Enable konqueror plugin

* Thu Feb 16 2006 Austin Acton <austin@mandriva.org> 0.7-0.20060216.1mdk
- give proper version number
- enable docbook and ghelp
- buildrequires docbook2x
- fix lib64 build
- move la's to devel package
- configure 2.5
- add the standard doc files

* Thu Feb 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060216.1mdk
- New cvs snapshot

* Wed Feb 15 2006 Austin Acton <austin@mandriva.org> 0.0-0.20060123.3mdk
- fix lib64 build

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.2mdk
- Add BuildRequires

* Fri Jan 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.1mdk
- New cvs snapshot
	- For the moment the firefox plugin is not enable because it
		doesn't compile.
- Fix File section (misc)
- Add BuildRequires (misc)

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060110.1mdk
- initial mandriva package
- Patch 0 : Fix Mozilla-firefox detection (baud123)

